# Enum Class LambdaExpressionTree.BodyKind

java.lang.Object
java.lang.Enum<LambdaExpressionTree.BodyKind>
com.sun.source.tree.LambdaExpressionTree.BodyKind

All Implemented Interfaces:
  `Serializable, Comparable<LambdaExpressionTree.BodyKind>, Constable`

Enclosing interface:
  `LambdaExpressionTree`

public static enum LambdaExpressionTree.BodyKind extends Enum<LambdaExpressionTree.BodyKind>
Lambda expressions come in two forms:

- expression lambdas, whose body is an expression, and
- statement lambdas, whose body is a block

Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXPRESSION`
enum constant for expression lambdas
`STATEMENT`
enum constant for statement lambdas

## Method Summary

Modifier and Type
Method
Description
`static LambdaExpressionTree.BodyKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LambdaExpressionTree.BodyKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXPRESSION

public static final LambdaExpressionTree.BodyKind EXPRESSION
enum constant for expression lambdas

### STATEMENT

public static final LambdaExpressionTree.BodyKind STATEMENT
enum constant for statement lambdas

## Method Details

### values

public static LambdaExpressionTree.BodyKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LambdaExpressionTree.BodyKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null